Bug 971035 - Dialog to enter Gnome Keyring password pops up, hoovers up all keyboard entry :-(
Dialog to enter Gnome Keyring password pops up, hoovers up all keyboard entry...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 09:57 EDT by David Tonhofer
Modified: 2014-02-05 16:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:41:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2013-06-05 09:57:41 EDT
Description of problem:

1) Try to submit a bug report with abrt
2) At some point, abrt demands a first password for the gnome keyring,
   in order to store bugzilla credentials
3) The modal dialog disallows keyboard entry. Can't look up an existing
   password, generate one nor write it down in my other password manager.

Version-Release number of selected component (if applicable):

gnome-keyring-3.6.3-1.fc18.x86_64

How reproducible:

Not reproduced

Expected results:

Is there a good reason to make the password entry dialog modal? Can't think of any.
Comment 1 Stef Walter 2013-06-05 10:43:47 EDT
This is indeed an issue. 

Having the dialog be a gnome-shell dialog was one that was pushed for by the upstream GNOME designers, via this feature: 

https://live.gnome.org/ThreePointOne/Features/SystemDialogs

and completed here:

https://live.gnome.org/ThreePointThree/Features/SystemDialogs

I'll be working to reduce the number of keyring prompts, and situations where these prompts occur. However this does not solve the issue, merely mitigates it a bit. 

Note that this is not only a problem for gnome-keyring, but any password prompt in the gnome shell where a pasword might need to be looked up (such as wifi passwords, vpn passwords, mail password) etc.

Although fixing this would impact gnome-keyring, it first needs to be discussed/worked on at the gnome-shell level reassigning.
Comment 2 Fedora End Of Life 2013-12-21 08:52:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:41:15 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.